﻿@using AdminCaja.Areas.Admin.Models.Services
@using AdminCaja.Areas.Admin.Models

@model ServiceContentViewModel

@{
    var lenguajes = new List<DefinicionLenguajes> { new DefinicionLenguajes { Name = "Español", lang = "es" }, new DefinicionLenguajes { Name = "Inglés", lang = "en" } };
}

<!-- ============================================================== -->
<!-- Bread crumb and right sidebar toggle -->
<!-- ============================================================== -->
<div class="row page-titles">
    <div class="col-md-5 col-8 align-self-center">
        <h3 class="text-themecolor m-b-0 m-t-0">Editar Contenidos</h3>
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="/Admin">Inicio </a></li>
            <li class="breadcrumb-item"><a href="/Admin/Services">Servicios</a></li>
            <li class="breadcrumb-item"><a href="/Admin/Services/EditService/@Model.ServiceId">@Model.ServiceTitle</a></li>
            <li class="breadcrumb-item active">Contenido</li>
        </ol>
    </div>
</div>
<!-- ============================================================== -->
<!-- End Bread crumb and right sidebar toggle -->
<!-- ============================================================== -->
<!-- ============================================================== -->
<!-- Start Page Content -->
<!-- ============================================================== -->
<div class="row">
    <div class="col-12 help-content">
        <ul class="nav nav-tabs wow slideInRight" data-wow-offset="300" id="myTab" role="tablist">
            @foreach (var item in lenguajes)
            {
                if (item.lang == Model.Language)
                {
                    <li class="nav-item">
                        <a class="nav-link active" id="spa-tab" data-toggle="tab" href="#langactivo" role="tab" aria-controls="spa" aria-selected="true">@item.Name</a>
                    </li>

                }
                else
                {
                    <li class="nav-item">
                        <a class="nav-link" id="@item.lang-tab" href="/Admin/Services/EditServiceContent/?ServiceId=@Model.ServiceId&lang=@item.lang" role="tab" aria-controls="eng" aria-selected="false">@item.Name</a>
                    </li>
                }

            }
        </ul>
        <div class="card wow slideInRight" data-wow-offset="300">
            <!-- <div class="card-block bg-info">
                                <h4 class="text-white card-title">Glosario</h4>
                            </div> -->
            <div class="card-block">
                <div class="tab-content" id="myTabContent">
                    <div class="tab-pane show active" id="spa" role="tabpanel" aria-labelledby="spa-tab">
                        @using (Html.BeginForm("SaveServiceContent", "Services", FormMethod.Post, new { @class = "form-horizontal form-material" }))
                        {
                            <input type="hidden" name="Id" value="@Model.Id" />
                            <input type="hidden" name="ServiceId" value="@Model.ServiceId" />
                            <input type="hidden" name="Language" value="@Model.Language" />
                            <div class="form-group">
                                @Html.LabelFor(m => m.Title, new { htmlAttributes = new { @class = "form-control form-control-line" } })
                                @Html.EditorFor(m => m.Title, new { htmlAttributes = new { @class = "form-control form-control-line" } })
                                @Html.ValidationMessageFor(m => m.Title)
                            </div>


                            <div id="target">
                                <div class="form-group">
                                    <label class="h6 small d-block text-uppercase">Cuerpo de publicación</label>
                                    <div class="js-focus-state input-group u-form">
                                        <div class="u-summernote-editor" style="width: 100%">
                                            @Html.TextAreaFor(m => m.Body, new { @class = "js-summernote-editor", data_height = "240" })
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="form-group">
                                <button type="submit" class="btn btn-primary u-btn-primary transition-3d-hover">Guardar</button>
                            </div>
                        }
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- ============================================================== -->
<!-- End PAge Content -->
<!-- ============================================================== -->
@section  Scripts{

    <script>
        $(document).on('ready', function () {
            // initialization of select picker
            $.HSCore.components.HSSelectPicker.init('.js-select');

            // initialization of text editors
            initSummerNote();
            // initialization of range datepicker
            $.HSCore.components.HSRangeDatepicker.init('.js-range-datepicker');
        });
        function initSummerNote() {
                 $.HSCore.components.HSSummernoteEditor.init('.js-summernote-editor');
        }
    </script>
}